/**
Theme Name: Trout Fly Fishing Flies Kenya
Author: Acsius Technologies Pvt. Ltd
Author URI: https://www.acsius.com/
Description: Trout Fly Fishing Flies Kenya - Child theme of Astra
Version: 4.13.3
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: trout-fly-fishing-flies-kenya
Template: astra
*/
body, html, a, p, li a, li, ul, ul li a, ol, ol li, ol li a, strong, .elementor-heading-title, .elementor-element, .elementor-element p, .elementor-element ul li a, .elementor-element a, p{
	font-family: "Poppins", Sans-serif!important;
}
body.single-product, body.woocommerce-cart, body.woocommerce-checkout, body.woocommerce-account{
	background:#000;
}
.shop-by-category .uael-woo-categories li.product .woocommerce-loop-category__title {
    width: 100%;
    left: 0;
    padding: 0;
    text-align: left;
    background: transparent;
}
.shop-by-category .uael-woo-categories  .products li.product .uael-category__title-wrap, 
.shop-by-category .uael-woo-categories ul.products li.product .uael-category__title-wrap {
    margin: 0em 0 .2em 0;
    bottom: .50em;
    text-align: left !important;
    left: 14px;
    background: transparent;
    padding: 0;
	z-index: 2;
}
.woocommerce-js .shop-by-category ul.products li.product .woocommerce-loop-category__title, 
.woocommerce-page .shop-by-category ul.products li.product .woocommerce-loop-category__title {
    bottom: 0em;
    text-align: left;
    background: transparent;
	position: relative;
	left: 0em;
    right: 0em;
	padding: 0em 0 0em;
}
.shop-by-category .uael-product-cat-inner{
	border:1px solid transparent;
	overflow:hidden;
}
.shop-by-category .uael-product-cat-inner:hover{
	border:1px solid #00d492;
}

.shop-by-category .uael-product-cat-inner{
	border-radius:10px;
}
.shop-by-category .uael-product-cat-inner:after{
	content:'';
	width:100%;
	height:100%;
	position:absolute;
	background: #000000;
	background: linear-gradient(0deg, rgb(0 0 0 / 75%) 0%, rgb(255 255 255 / 10%) 100%);
    z-index: 1;
	top:0;
	left:0;
}
.shop-by-category .uael-woo-categories .products li.product a img, 
.shop-by-category .uael-woo-categories ul.products li.product a img, 
.shop-by-category .uael-woocommerce .uael-woo-products-thumbnail-wrap img{
	transform: scale(1);
	transition: transform 0.4s ease-in-out;
}
.shop-by-category .uael-woo-categories .products li.product:hover a img, 
.shop-by-category .uael-woo-categories ul.products li.product:hover a img, 
.shop-by-category .uael-woocommerce .uael-woo-products-thumbnail-wrap:hover img{
	transform: scale(1.2);
	transition: transform 0.4s ease-in-out;
}
.woocommerce-js .shop-by-category ul.products li.product.product-category>a:hover .woocommerce-loop-category__title, 
.woocommerce-page .shop-by-category ul.products li.product.product-category>a:hover .woocommerce-loop-category__title {
    background-color: transparent;
}
.shop-by-category .uael-woo-categories li.product .uael-category__title-wrap .uael-count {
   color: #00d492!important;
	opacity:1!important;
}
    
    


/* =============== */
    .fishing-products-wrapper{
        padding:0px 0;
    }

    

  

    .fishing-card{
        background:#191d1b;
        border-radius:22px;
        overflow:hidden;
        position:relative;
        transition:0.4s ease;
        border:1px solid rgba(0,255,163,0.08);
        height:100%;
    }

    .fishing-card:hover{
        transform:translateY(-6px);
        box-shadow:0 0 25px rgba(0,255,163,0.25);
    }

    .fishing-img{
        overflow:hidden;
        height:160px;
    }

    .fishing-img img{
        width:100%;
        height:100%;
        object-fit:cover;
        transition:transform .5s ease;
		background-color:#fff;
    }

    .fishing-card:hover .fishing-img img{
        transform:scale(1.1);
    }

    .fishing-content{
        padding:16px;
    }

    .fishing-product-title{
        font-size:16px;
        color:#fff;
        font-weight:700;
        margin-bottom:10px;
        line-height:1.4;
		display: -webkit-box;
		-webkit-line-clamp: 2; /* 2 line */
		-webkit-box-orient: vertical;
		overflow: hidden;
		text-overflow: ellipsis;
		min-height: 45px; /* same height maintain */
    }

    .fishing-rating{
        color:#ffc107;
        font-size:16px;
        margin-bottom:15px;
    }

    .fishing-price-row{
        display:flex;
        align-items:center;
        justify-content:space-between;
    }

    .fishing-price{
        color:#00f5a0;
        font-size:18px;
        font-weight:600;
    }

    .fishing-btn a{
        background:#00b96b;
        color:#fff !important;
        padding:12px 12px;
        border-radius:12px;
        text-decoration:none;
        font-weight:600;
        transition:.3s;
        display:inline-flex;
        align-items:center;
        gap:8px;
    }

    .fishing-btn a:hover{
        background:#00d67c;
        transform:scale(1.05);
    }

    .fishing-badge{
        position:absolute;
        top:18px;
        right:18px;
        background:#00c875;
        color:#fff;
        padding:6px 14px;
        border-radius:50px;
        font-size:13px;
        font-weight:700;
        z-index:2;
    }

.best-selling .button.product_type_variable.add_to_cart_button{
	padding: 6px;
    font-size: 14px;
    text-decoration: none;
    background: #009966;
}
.best-selling .fa-solid {
    font-size: 12px;
}
.fishing-rating {
    display: flex;
    align-items: center;
    gap: 6px;
    margin-bottom: 15px;
    font-size: 15px;
}

.fishing-rating .star-rating {
    margin: 0 !important;
    float: none !important;
}

.fishing-rating .star-rating::before {
    color: rgba(255,255,255,0.2);
}

.fishing-rating .star-rating span::before {
    color: #ffc107 !important;
}

.fishing-rating-count {
    color: #9ca3af;
    font-size: 14px;
    font-weight: 500;
}
.faqs .eael-accordion-content {
    border-radius: 0px 0px 12px 12px;
}
.ast-footer-social-2-wrap .ast-builder-social-element, 
.ast-footer-social-2-wrap .social-show-label-true .ast-builder-social-element {
     padding: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
	gap: 10px;
}
.astra-advanced-hook-83280 a{
	color:#99a1af;
}
.astra-advanced-hook-83280 a:hover{
	color:#00D492;
}
.ti-widget.ti-goog .ti-header .ti-large-logo {
    display: none;
}
.fdtw-number.first:after {
    position: absolute;
    width: 860px;
    height: 2px;
    background: #00D492;
    content: '';
    display: inline-block;
    top: auto;
    left: 100%;
    right: 0;
}
.woocommerce ul.products li.product .astra-shop-thumbnail-wrap, 
.woocommerce-page ul.products li.product .astra-shop-thumbnail-wrap {
    height: 250px;
    overflow: hidden;
}

.woocommerce ul.products li.product .woocommerce-loop-product__link, 
.woocommerce-page ul.products li.product .woocommerce-loop-product__link {
    height: 100%;
    display: block;
}
.woocommerce-js ul.products li.product a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.ast-woo-shop-archive .site-content > .ast-container {
     background: transparent;
}

.ast-woo-shop-archive #page .site-content {
    background: #000;
}
.ast-left-sidebar #primary {
  border-left: 0px solid var(--ast-border-color);
}
.ast-left-sidebar #secondary {
   border-right: 0px solid var(--ast-border-color);
}

    @media(max-width:991px){
        .fishing-title{
            font-size:38px;
        }

        .fishing-product-title{
            font-size:22px;
        }

        .fishing-price{
            font-size:28px;
        }
    }

    @media(max-width:767px){

        .fishing-img,
        .fishing-img img{
            height:220px;
        }

        .fishing-title{
            font-size:30px;
        }
    }

.sidebar-main {
    border-radius: 10px;
    border: 1px solid #444444;
}
.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    border-radius: 10px;
}
.woocommerce-js ul.products li.product a img {
    border-radius: 10px 10px 0 0;
}
.widget-title, .woocommerce .ast-shop-toolbar-container {
    color: #ffffff;
}
.footer-widget-area .elementor-icon-box-wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}
.footer-widget-area .elementor-icon-box-wrapper p {
    margin-bottom: 0.50em;
}

.woocommerce ul.products li.product .astra-shop-summary-wrap, 
.woocommerce-page ul.products li.product .astra-shop-summary-wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
	justify-content: space-between;
}

.woocommerce-js ul.products li.product .price, 
.woocommerce-page ul.products li.product .price {
    margin-bottom: 0em;
    font-size: 1.4em;
    letter-spacing: -1px;
	width: 30%;
    float: left;
}
.woocommerce-js ul.products li.product .button, .woocommerce-page ul.products li.product .button {
    width: auto;
    float: right;
    padding: 8px;
    left: auto;
    right: 0;
    display: block;
}
body.post-type-archive-product .ast-archive-entry-banner[data-post-type="product"] {
    display: none;
}
.woocommerce-js ul.products li.product .button::before, .woocommerce-page ul.products li.product .button::before,
.woocommerce-js ul.products li.product .button::before, .woocommerce-page ul.products li.product .button::before,
.woocommerce-js div.product form.cart .button.single_add_to_cart_button:before{
    content:"";
    width:16px;
    height:16px;
    display:inline-block;
    margin-right:8px;
    background-size:contain;
    background-repeat:no-repeat;
    background-image:url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23ffffff' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Ccircle cx='8' cy='21' r='1'/%3E%3Ccircle cx='19' cy='21' r='1'/%3E%3Cpath d='M2.05 2.05h2l2.66 12.42a2 2 0 0 0 2 1.58h9.78a2 2 0 0 0 1.95-1.57l1.65-7.43H5.12'/%3E%3C/svg%3E");
	margin: 0 5px -4px 0px;
}
.custom-fillter{
    border-bottom: 1px solid #202826;
	padding: 20px 0px;
}
.woocommerce .ast-shop-toolbar-container,
.custom-fillter .widget.woocommerce.widget_layered_nav_filters, .woocommerce-js div.product form.cart .reset_variations{
    display: none;
}
.custom-fillter .widget-title, .woocommerce .custom-fillter .ast-shop-toolbar-container {
    margin: 0!important;
	display: block;
}
.custom-fillter .ast-products-view, .ast-products-view {
    border: 1px solid #484949;
    border-radius: 10px;
}
.custom-fillter .ast-products-view .ahfb-svg-iconset, .ast-products-view .ahfb-svg-iconset {
    -js-display: inline-flex;
    display: inline-flex;
    align-self: center;
    padding: 10px;
    background: #000000;
}
.custom-fillter .ast-view-trigger.active .ahfb-svg-iconset, .ast-view-trigger.active .ahfb-svg-iconset {
	background: #009966;
}
.custom-fillter .ast-products-view, .ast-products-view {
    border: 1px solid #484949;
    border-radius: 10px;
    height: 100%;
    display: inline-block;
    overflow: hidden;
    line-height: 100%;
    gap: 0;
}
.custom-fillter .ast-view-trigger.active  svg, .ast-view-trigger.active  svg {
    fill: rgb(255 255 255);
}
.woocommerce-js .custom-fillter .woocommerce-ordering select, .woocommerce-js .woocommerce-ordering select {
    border: 1px solid #484949;
    border-radius: 10px;
	font-size: 14px;
    padding: 0 24px 0 15px;
	background: #000000;
	color: #ffffff;
}
.woocommerce-js .custom-fillter .woocommerce-result-count, .woocommerce-js .woocommerce-result-count {
    line-height: 2.6;
}
.custom-fillter .ast-search-menu-icon .search-form, .ast-search-menu-icon .search-form{
	border:none!important;
	background: transparent;
	width: 70%;
}
.custom-fillter .ast-search-menu-icon.ast-inline-search .search-field,
.ast-search-menu-icon.ast-inline-search .search-field{
    border: 1px solid #484949;
    background: #000000;
    border-radius: 10px;
}
.custom-fillter label, .custom-fillter legend, .custom-fillter .astra-search-shortcode.inline {
    width: 100%;
}
.woocommerce-js ul.products li.product .woocommerce-loop-product__title,
.woocommerce-page ul.products li.product .woocommerce-loop-product__title{
    margin-bottom: .5em;
    padding: 0;
    font-size: 1.2em;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4;
    min-height: calc(1.4em * 2); /* 2 lines ki height fix */
}
.woocommerce-js .widget.woocommerce.widget_layered_nav_filters h2 {
    color: #fff;
    font-size: 1.5rem;
}
.woocommerce-js ul.cart_list li>a, .woocommerce-js ul.product_list_widget li>a {
    color: #ffffff;
}
.woocommerce-js .widget .amount, .woocommerce-js .widget ins {
    color: #00d489;
}
#woocommerce_product_categories-4.ast-woo-sidebar-widget.widget.woocommerce.widget_product_categories .ast-filter-content-inner, .wcapf-filter.wcapf-filter-83762 .wcapf-filter-inner {
    height: 400px;
    overflow: scroll;
    overflow-x: hidden;
    padding: 0px 10px 0 0;
}
.woocommerce-js .woocommerce-result-count {
    margin: 0em 0 0em;
}
.odbff {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    align-items: center;
    color: #fff;
}
.wcapf-form.wcapf-form-83761 {
    padding: 10px;
}
.wcapf-filter .wcapf-filter-title {
    color: #fff;
}
.wcapf-filter .wcapf-list-wrapper ul.wcapf-filter-options li.wcapf-filter-option label {
    color: #fff;
    font-size: .85em;
}
.wcapf-filter {
    margin: 0 0 10px;
}
.ast-accordion-layout .ast-woo-sidebar-widget.widget {
    margin-top: 0em;
    color: #fff;
}
.woocommerce-page .astra-shop-filter-button .astra-woo-filter-icon{
	float: right;
}
.woocommerce-page .astra-shop-filter-button .astra-woo-filter-text, 
.woocommerce-page button.astra-shop-filter-button .astra-woo-filter-text {
    margin-left: 0em;
    font-size: 1.5em;
    color: #fff;
    font-weight: 600;
}
.woocommerce-page .astra-shop-filter-button{
	display: block;
    width: 100%;
	margin: 0 0 10px 0;
}
.woocommerce-page .astra-shop-filter-button .astra-woo-filter-icon svg{
	    font-size: 1.5em;
    width: .8em;
    height: .8em;
    color: #00d489;
    margin: 7px 0px 0 -8px;
}
.wcapf-active-filters.clear-all-btn-layout-inline .wcapf-reset-filters-btn {
    margin: 0;
    background: #282828;
    padding: 5px 10px;
    border-radius: 10px;
    border: 1px solid #009966;
    color: #fff;
    font-size: 12px;
    font-weight: 300 !important;
    letter-spacing: 1px;
}
.wcapf-active-filters.clear-all-btn-layout-inline .wcapf-reset-filters-btn:hover {
    background: #009966;
    border: 1px solid #009966;
	 color: #fff;
}
.woocommerce .astra-off-canvas-sidebar-wrapper .astra-off-canvas-sidebar, .woocommerce-page .astra-off-canvas-sidebar-wrapper .astra-off-canvas-sidebar {
    padding: 24px 5px 0 10px;
}
.astra-off-canvas-sidebar .widget-title, .woocommerce .astra-off-canvas-sidebar .ast-shop-toolbar-container {
    color: #000000;
    font-size: 16px;
}
.astra-off-canvas-sidebar ul li a{
	 color: #000000;
    font-size: 14px;
}
.astra-off-canvas-sidebar ul li a:hover {
    color: #00d489;
}
.wcapf-filter .wcapf-filter-title, #secondary .widget-title, .woocommerce-page #secondary .widget .widget-title {
    color: #fff;
    font-size: 18px;
    font-weight: 600 !important;
}
.woocommerce-js .widget.woocommerce.widget_layered_nav_filters h2 {
    color: #fff;
    font-size: 1.2rem;
    font-weight: 400;
}
#secondary .widget_layered_nav_filters ul li.chosen, .widget_layered_nav_filters ul li.chosen {
    padding: 2px .5em;
    margin-right: .5em;
    margin-bottom: .5em;
    background: #fff;
    border-radius: 6px;
    font-size: 1em;
}
.woocommerce-js ul.products li.product .ast-woo-product-category, .woocommerce-page ul.products li.product .ast-woo-product-category {
    font-size: 1em;
    margin-bottom: .5em;
    display: block;
    line-height: 1.3;
    opacity: 1.6;
    color: #00d489 !important;
    text-transform: capitalize;
}
.ast-plain-container.ast-no-sidebar #primary {
    margin-top: 20px;
    margin-bottom: 20px;
}
.trail-item.trail-end span{
	color: #00d489;
}
.variations label, .variations legend {
    color: #fff;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
	margin: 18px 0 0 0;
}
.ast-variation-button-group .ast-single-variation {
    display: inline-block;
    padding: 0.3em 1em;
    margin-bottom: 0.5em;
    margin-right: 0.5em;
    border: 1px solid #393939;
    cursor: pointer;
    background-color: #1a1a1a;
    border-radius: 10px;
    color: #fff;
}
.ast-variation-button-group .ast-single-variation {
    display: inline-block;
    padding: 0.5em 1em;
    margin-bottom: 0.5em;
    margin-right: 0.5em;
    border: 2px solid #393939;
    cursor: pointer;
    background-color: #1a1a1a;
    border-radius: 10px;
    color: #fff;
}
.ast-variation-button-group .ast-single-variation.active {
    color: #ffffff;
    background: #009966;
    border: 2px solid #00c381;
	outline: none;
    outline-style: none;
}
.ast-single-product-extras{
    border: 1px solid #2f2f2f;
    padding: 20px;
    border-radius: 10px;
    background-color: #181818;
    color: #ebebeb;
	margin:20px 0 0 0;
}
.ast-single-product-extras ul {
    margin: 0 0 0em 0;
}
.ast-single-product-extras li {
    margin: 6px 0 6px 0;
}
.ast-single-product-extras svg, .ast-single-product-extras .ast-extra-image {
    width: .5em;
    height: .5em;
    fill: #00d489;
	margin: 2px 0 0 0;
}
.ast-single-product-extras li[data-icon="true"] {
    padding-left: 1em;
}
.woocommerce .quantity .plus, .woocommerce .quantity .minus, .woocommerce .quantity .qty,
.woocommerce-js div.product form.cart .variations{
    border:none!important;
}
.woocommerce-js div.product form.cart div.quantity, .woocommerce-js .quantity {
    border: 1px solid #212121!important;
    border-radius: 10px!important;
    color: #fff;
}
.woocommerce-js .quantity input[type=number] {
    background: transparent!important;
    color: #fff!important;
}
.woocommerce-js .quantity .minus, .woocommerce .quantity .plus {
    font-size: 20px!important;
    color: #fff!important;
}
.woocommerce-js div.product form.cart .button.single_add_to_cart_button {
    padding: 13px 30px;
	position:relative;
	padding: 14px 30px;
    width: 100%;
    box-shadow: 0px 6px 20px #009661c2;
}
.custom-quantity-label{
	margin-bottom: 5px; font-weight: 500; font-size: 16px; color: #ffffff;
}

.woocommerce-js div.product .woocommerce-tabs .panel {
    border: 1px solid #343434;
    padding: 24px;
    border-radius: 10px;
    background: #0d0d0d;
}
.woocommerce-js div.product .woocommerce-tabs ul.tabs {
    border-bottom: 1px solid #343434;
    margin-bottom: 30px;
}
.woocommerce-js div.product .woocommerce-tabs ul.tabs::before{
	display:none!important;
}
.woocommerce-js div.product .woocommerce-tabs ul.tabs li.active::before {
    top: auto!important;
    bottom: 0px!important;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a, div.product .ast-woocommerce-tabs .ast-tab-header {
    font-size: 16px;
    color: #99a1af;
    font-weight: 500;
    padding: 12px;
}
.woocommerce-js table.shop_attributes {
    border: none !important;
}
.woocommerce-js div.product .woocommerce-tabs .shop_attributes td, .woocommerce-js div.product .woocommerce-tabs .shop_attributes th {
    border: none !important;
    border-bottom: 1px solid #343434 !important;
}
.woocommerce-js div.product .woocommerce-tabs .shop_attributes th {
	color: #c5d5dc;
    font-weight: 300;
}
.related.products h2:first-child {
    color: #fff;
}
.woocommerce-js div.product div.images img {
    border-radius: 10px;
}
.ast-woocommerce-product-gallery__image.flex-active-slide:after {
    border: 1px solid #00d489;
    border-radius: 10px;
}
.ast-woocommerce-product-gallery__image {
    height: 100px;
}
.woocommerce-js div.product div.images img {
    display: block;
    width: 100%;
    height: 100%;
    box-shadow: none;
    object-fit: cover;
}
.woocommerce-js table.shop_attributes {
    color: #fff;
    font-weight: 600;
}
.wc-block-components-sidebar-layout .wc-block-components-main {
    box-sizing: border-box;
    margin: 0;
    padding-right: 0;
    border: 1px solid #2c2c2c;
    border-radius: 10px;
    padding: 20px;
    color: #fff;
}
.wc-block-cart .wp-block-woocommerce-cart-order-summary-block, .wc-block-components-sidebar-layout .wc-block-components-main{
	 color: #fff;
}
header.entry-header .entry-title {
    color: #fff;
    text-align: center;
}
form #order_review_heading:not(.elementor-widget-woocommerce-checkout-page #order_review_heading) {
    padding: 1em 1em 0em;
    color: #fff;
}
form #order_review_heading:not(.elementor-widget-woocommerce-checkout-page #order_review_heading) {
    border-width: 1px 1px 0 1px;
    border-color:#2e2e2e;
    color: #fff;
    border-radius: 10px 10px 0 0;
}
form #order_review:not(.elementor-widget-woocommerce-checkout-page #order_review) {
    padding: 0 2em;
    border-width: 0 1px 1px;
    border-style: solid;
    border-color: #2e2e2e;
    border-radius: 0px 0px 10px 10px;
}
.woocommerce-page.woocommerce-checkout form #order_review table, 
.woocommerce.woocommerce-checkout form #order_review table,
.woocommerce.woocommerce-checkout label, .woocommerce.woocommerce-checkout legend,
.woocommerce-privacy-policy-text p,
#customer_details h3:not(.elementor-widget-woocommerce-checkout-page h3), .woocommerce form .form-row label.checkbox, .woocommerce-page form .form-row label.checkbox, .woocommerce-form__label.woocommerce-form__label-for-checkbox.checkbox, .woocommerce-js form .form-row label{
    color: #cdcdcd;
}
#customer_details h3:not(.elementor-widget-woocommerce-checkout-page h3) {
    padding: 0px 0 14px;
    border-bottom: 1px solid #2e2e2e;
}
.woocommerce-js form .form-row input.input-text, .woocommerce-js form .form-row textarea,
.woocommerce .select2-container .select2-selection--single, .woocommerce select, .woocommerce-page .select2-container .select2-selection--single, .woocommerce-page select, .woocommerce .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper > .input-text:focus, .woocommerce .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .woocommerce-input-wrapper > .input-text:visited, input:-internal-autofill-selected, .wc-block-components-text-input input[type=text], .comments-area .ast-comment-formwrap input[type="text"], input[type="text"], input[type="number"], input[type="email"], input[type="url"], input[type="password"], input[type="search"], input[type=reset], input[type=tel], input[type=date], select, textarea{
    background-color: #1c1c1c!important;
    border: 1px solid #3a3a3a!important;
    font-size: 12px;
	color:#fff;
}
.select2-container--default .select2-selection--single .select2-selection__rendered,
.woocommerce-form.woocommerce-form-login.login p, input[type="text"]:focus, input[type="number"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type=reset]:focus, input[type="tel"]:focus, input[type="date"]:focus, select:focus, textarea:focus, label, legend{
	color:#fff;
}
.comments-area textarea#comment{
    height: 150px;
}

body:not(.cartflows-canvas):not(.cartflows-default):not(.cartflows-instant-checkout) .woocommerce form .form-row label:not(.checkbox):not(.radio):not(.woocommerce-form__label-for-checkbox) {
    color: #9fa0a1;
    letter-spacing: 0.6px;
    font-weight: 300;
}
.woocommerce-error, .woocommerce-info, .woocommerce-message {
    background-color: rgb(46 46 46);
    color: #fff;
}
.ast-desktop .astra-cart-drawer, .woocommerce-js .astra-cart-drawer .astra-cart-drawer-content .woocommerce-mini-cart__total strong, .woocommerce .widget_shopping_cart .cart_list li a.remove, .woocommerce.widget_shopping_cart .cart_list li a.remove, .astra-cart-drawer .astra-cart-drawer-header .astra-cart-drawer-title, .woocommerce form .show-password-input, .woocommerce-page form .show-password-input {
    color: #ffffff;
}
.astra-cart-drawer .astra-cart-drawer-close {
    color: #00ffa5;
}
.woocommerce .widget_shopping_cart .cart_list li, .woocommerce.widget_shopping_cart .cart_list li {
    padding: 0.5em 0 0.5em 5em;
}
.woocommerce-js ul.product_list_widget li img {
    width: 3.5em;
    height: 3.5em;
    top: 25%;
}
.woocommerce-js ul.cart_list li dl, .woocommerce-js ul.product_list_widget li dl {
    padding-left: .50em;
    font-size: 11px;
    font-weight: 300 !important;
    letter-spacing: .56px;
	color: #c1c1c1;
}
.wc-block-components-quantity-selector input.wc-block-components-quantity-selector__input {
    padding: 5px;
}
.widget_shopping_cart_content input[type="number"]{
    height: 30px;
}
.woocommerce-js.ast-woocommerce-shop-page-list-view ul.products li.product a img {
    border-radius: 10px 0px 0px 10px;
}
.woocommerce-MyAccount-navigation ul li a {
    color: #ffffff;
    background-color: #303030;
}
.woocommerce-MyAccount-navigation-link:after {
   background-color: #00D489;
}
.woocommerce-MyAccount-navigation-link.is-active a, .woocommerce-MyAccount-navigation-link:hover a {
    color: #00D489;
}
.woocommerce-MyAccount-navigation ul {
    background: transparent;
}
.woocommerce-account .entry-content .woocommerce {
    border-radius: 10px;
	padding: 20px;
}
.post.type-post .ast-article-inner {
    padding: 0 1em .30em 1em;
}
.post.type-post .ast-article-inner .ast-blog-single-element.ast-taxonomy-container.cat-links {
    position: absolute;
    top: 14px;
    left: 0;
    z-index: 1;
}
.cat-links.badge a, .tags-links.badge a {
    padding: 3px 5px;
    border-radius: 3px;
    font-weight: 400;
    background: #007857;
    border: 1px solid #007857;
    color: #00D489;
    text-transform: capitalize;
}
body:not(.rtl) .wcapf-filter .wcapf-list-wrapper.layout-list ul.wcapf-filter-options li.wcapf-filter-option ul.wcapf-filter-options {
    padding-left: 0px!important;
}
.wcapf-filter .wcapf-list-wrapper ul.wcapf-filter-options li.wcapf-filter-option label {
    font-size: .9em!important;
}
.stylish-checkbox-radio input[type=checkbox], .stylish-checkbox-radio input[type=radio] {
    width: 15px!important;
    height: 15px!important;
}
.wcapf-filter .wcapf-list-wrapper.layout-list ul.wcapf-filter-options li.wcapf-filter-option ul.wcapf-filter-options li:first-child {
    margin-top: 0!important;
} 
body.theme-astra #secondary .wcapf-filter .wcapf-list-wrapper.layout-list ul.wcapf-filter-options li.wcapf-filter-option {
    margin-bottom: 0!important;
}
.wcapf-active-filter-items-wrapper .wcapf-active-filter-item, .widget_layered_nav_filters ul li.chosen {
    background-color: #242424!important;
    border: 1px solid #484949!important;
}
.blog  article.type-post .entry-meta{
	font-size: 0px;
}
.entry-meta .posted-on .published, .entry-meta .ast-reading-time{
	position:relative;
	font-size: 12px;
}
.entry-meta .posted-on .published:before, .entry-meta .ast-reading-time:before, .blog  article.type-post .read-more a:after, aside.widget_recent_entries li .post-date:before, article.type-post .read-more a:after{
	position:relative;
	display:inline-block;
	color: #00D489;
	margin:0 5px 0 0;
	font-family: "Font Awesome 7 Free";
	font-weight:900;
}
.entry-meta .posted-on .published:before, aside.widget_recent_entries li .post-date:before{
	content: "\f133";
}
.entry-meta .ast-reading-time:before{
	content: "\f017";
}
.entry-meta .ast-reading-time {
   float:right;
}
.ast-single-entry-banner .entry-meta .ast-reading-time {
	float:none;
}
.blog  article.type-post .read-more a, article.type-post .read-more a{
	position:relative;
}
.blog  article.type-post .read-more a:after, article.type-post .read-more a:after{
	content: "\f061";
	margin:0 5px 0 7px;
}
aside.widget_categories li.cat-item {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    flex-wrap: nowrap;
	color: #00D489;
	border-bottom: 1px solid #444444;
    padding: 4px 0 15px 0;
}
aside.widget_categories li.cat-item a{
	text-transform:capitalize;
}
aside.widget_recent_entries li .post-date{
	color: #a7a7a7;
    font-size: 12px;
    display: block;
    margin: 3px 0 0 0;
}
aside.widget_recent_entries a {
    color: #ffffff;
    font-size: 14px;
}
aside .search-submit{
    background-color: #00d489!important;
    fill: #fff;
}
.widget_search .search-form button {
    z-index: 9;
	top: 6px;
    right: 11px;
	font-size: 20px!important;
}
.widget_search .ast-icon svg:not([fill]) {
    fill: rgb(255 255 255);
}
.widget_search .search-form .search-field {
    background: #191919;
    border-width: 1px;
    border-color: var(--ast-border-color);
    border-radius: 6px;
    color: #fff;
}
.ast-live-search-results {
    background: #303030;
    line-height: 10px;
}
#comments.comments-area {
    border-top: 1px solid #3a3a3a;
}
.ast-separate-container .comment-respond {
    padding: 2em 0em;
}
.ast-related-posts-wrapper .ast-related-post {
    border: 1px solid #3a3a3a;
    border-radius: 10px;
    padding: 12px;
}
.ast-related-posts-wrapper .ast-related-post:hover {
    border: 1px solid #00D489;
}
.ast-related-posts-inner-section .post-thumb-img-content {
    margin: -12px -12px 14px -12px;
    position: relative;
    border-radius: 10px 10px 0px 0px;
    overflow: hidden;
}
.ast-related-post-content .entry-header .ast-related-post-title a {
    line-height: 1.5em;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    min-height: 50px;
    text-align: left;
}
.woocommerce ul.products li.product .astra-shop-thumbnail-wrap, .woocommerce-page ul.products li.product .astra-shop-thumbnail-wrap {
    border-radius: 10px 10px 0 0;
}
.ast-related-posts-wrapper .ast-related-post .post-thumb-img-content img,
.woocommerce-page .site-main ul.products li.product img{
	transition: transform .5s ease;
	transform: scale(1);
}

.ast-related-posts-wrapper .ast-related-post:hover .post-thumb-img-content img,
.woocommerce-page .site-main ul.products li.product:hover img{
	transition: transform .5s ease;
	transform: scale(1.1);
}
.astra-widget-list-icons .list-items-wrapper{
	display: flex;
    flex-direction: row;
    gap: 10px;
    align-items: flex-start;
    flex-wrap: nowrap;
    justify-content: flex-start;
}
.astra-widget-list-icons .list-items-wrapper .link-text{
	display:none;
}
.astra-widget-list-icons .list-items-wrapper .link {
    border: 1px solid #00D489;
    padding: 10px;
    border-radius: 100px;
	width:40px;
	height:40px;
	background: #232323;
}
#astra-widget-list-icons-2 #astra-widget-list-icons-wrapper .list-items-wrapper li:last-child,
#astra-widget-list-icons-2 #astra-widget-list-icons-wrapper .list-items-wrapper li{
    padding-top: 0px;
    padding-bottom: 0;
	padding:0px!important;
	margin:0px!important;
}
.astra-widget-list-icons .list-items-wrapper .link:hover {
    background: #232323;
    box-shadow: 0px 0px 10px #00D489;
}
.pricebox .elementor-icon path {
    fill: #00d489!important;
}
.pricebox hr {
    margin: 15px 0!important;
}
.hidemenu, .wcapf-filter-option .wcapf-filter-item.empty-item{
	display:none!important;
}
.ast-filter-wrap .widget-title .ahfb-svg-iconset {
    top: 0.3em;
    width: 0.8em;
    fill: #ffffff;
}
.shop-by-category .uael-woo-categories .uael-product-cat-inner {
    height: 100%;
}
.widget_product_categories .children {
    padding-left: 0px;
}
#secondary .product-categories li {
    margin-bottom: 0.3em;
}
.woocommerce-js .widget_product_categories .product-categories .count {
    font-size: 10px;
}
.woocommerce ul.product-categories > li ul li a {
    font-size: 13px;
    margin-left: 15px;
    text-transform: capitalize;
}
.woocommerce ul.product-categories > li ul li:before {
    margin-top: -4px;
}
.widget .product-categories ul.children {
    margin: 7px 0;
}

@media (min-width:786px){
.e-con>.e-con-inner {
    max-width: 1210px!important;
}
.custom-fillter .container{
		max-width: 1240px!important;
		padding:0px;
	}
.site-footer-primary-section-1.site-footer-section.site-footer-section-1 {
    width: 380px;
}
.ast-left-sidebar #secondary {
	padding-right: 0px;
}
.ast-left-sidebar #primary {
	padding-left: 30px;
}
.woocommerce .custom-fillter .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap .astra-shop-filter-button,
.woocommerce .ast-shop-toolbar-container .ast-shop-toolbar-aside-wrap .astra-shop-filter-button{
    display: none;
}
.wcapf-before-products {
    position: relative;
}
.ast-shop-toolbar-container {
    display: none!important;
    position: absolute;
    top: 0;
    left: auto;
    right: 0;
    margin: -113px 0 0 0;
}
.woocommerce.ast-woocommerce-shop-page-list-view ul.products li.product .astra-shop-thumbnail-wrap, 
.woocommerce-page.ast-woocommerce-shop-page-list-view ul.products li.product .astra-shop-thumbnail-wrap {
    height: 150px;
}
.ast-right-sidebar #secondary {
    padding-left: 25px;
}
.fillter-btn-mobile {
	display:none;
}
	
}

@media (max-width:786px){
.fdtw-number.first:after {
    position: absolute;
    width: 2px;
    height: 1370%;
    background: #00D492;
    content: '';
    display: inline-block;
    top: 70px;
    left: 50%;
    right: 0;
}
.odbff {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    align-items: center;
    color: #fff;
    flex-wrap: wrap;
    align-content: center;
}
    .woocommerce .woocommerce-ordering, .woocommerce-page .woocommerce-ordering {
        margin-bottom: 0em;
    }
	.woocommerce-js .custom-fillter .woocommerce-result-count, .woocommerce-js .woocommerce-result-count {
    display: block;
    width: 100%;
    text-align: center;
}
.custom-fillter .ast-container,.custom-fillter .ast-container-fluid {
    padding-left: 5px;
    padding-right: 5px;
}
.custom-fillter .ast-search-menu-icon .search-form, .ast-search-menu-icon .search-form {
    width: 100%;
}
.woocommerce ul.products li.product .astra-shop-thumbnail-wrap, .woocommerce-page ul.products li.product .astra-shop-thumbnail-wrap {
    height: 130px;
}
.woocommerce-js div.product form.cart .button.single_add_to_cart_button {
    width: 100%;
}
.woocommerce-page .fillter-btn-mobile .astra-shop-filter-button {
    margin: 0 0 0px 0;
}
	.filter-search{
		display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 20px;
    align-content: center;
    align-items: center;
	}
	.fillter-btn-mobile {
    width: 120px;
		display:block;
}
.post-type-archive-product .sidebar-main {
    display: none;
}	
	
}